[Skiboot] [PATCH 09/11] travis: build and test more on centos7

Stewart Smith stewart at linux.vnet.ibm.com
Thu Dec 22 17:20:34 AEDT 2016


Signed-off-by: Stewart Smith <stewart at linux.vnet.ibm.com>
---
 opal-ci/Dockerfile-centos7 |  3 +--
 opal-ci/build-centos7.sh   | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+), 2 deletions(-)
 create mode 100755 opal-ci/build-centos7.sh

diff --git a/opal-ci/Dockerfile-centos7 b/opal-ci/Dockerfile-centos7
index fa51128..1f4d829 100644
--- a/opal-ci/Dockerfile-centos7
+++ b/opal-ci/Dockerfile-centos7
@@ -10,5 +10,4 @@ RUN curl -O http://public.dhe.ibm.com/software/server/powerfuncsim/p9/packages/v
 RUN yum install -y systemsim-p9-1.0-0.el7.x86_64.rpm
 COPY . /build/
 WORKDIR /build
-# We don't have a custom centos 7 build, same script for now
-ENTRYPOINT ./opal-ci/build-centos6.sh
+ENTRYPOINT ./opal-ci/build-centos7.sh
diff --git a/opal-ci/build-centos7.sh b/opal-ci/build-centos7.sh
new file mode 100755
index 0000000..0a44fc8
--- /dev/null
+++ b/opal-ci/build-centos7.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+
+# We're limited as to what we want to bother to run on CentOS7
+# It's fairly old and some of the things (e.g. build+run qemu) we don't
+# want to bother doing.
+
+export CROSS=/opt/cross/gcc-4.8.0-nolibc/powerpc64-linux/bin/powerpc64-linux-
+
+MAKE_J=`grep -c processor /proc/cpuinfo`
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+(cd external/pflash; make -j${MAKE_J})
+make clean
+SKIBOOT_GCOV=1 make -j${MAKE_J}
+SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=`pwd` -f ../Makefile -C builddir -j${MAKE_J}
+make clean
-- 
2.9.3



More information about the Skiboot mailing list